﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{19C90192-64EB-47FD-A022-F83BD098F9FD}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>SpreadsheetML</RootNamespace>
    <AssemblyName>SpreadsheetML</AssemblyName>
    <TargetFrameworkVersion>v4.7.2</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <Deterministic>true</Deterministic>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="DocumentFormat.OpenXml, Version=2.11.3.0, Culture=neutral, PublicKeyToken=8fb06cb64d019a17, processorArchitecture=MSIL">
      <HintPath>..\packages\DocumentFormat.OpenXml.2.11.3\lib\net46\DocumentFormat.OpenXml.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.IO.FileSystem.Primitives, Version=4.0.2.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\packages\System.IO.FileSystem.Primitives.4.3.0\lib\net46\System.IO.FileSystem.Primitives.dll</HintPath>
      <Private>True</Private>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.IO.Packaging, Version=4.0.5.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
      <HintPath>..\packages\System.IO.Packaging.4.7.0\lib\net46\System.IO.Packaging.dll</HintPath>
    </Reference>
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
    <Reference Include="WindowsBase" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Spreadsheet\GenericCell.cs" />
    <Compile Include="Spreadsheet\GenericImage.cs" />
    <Compile Include="Spreadsheet\GenericRow.cs" />
    <Compile Include="Spreadsheet\GenericWorkbook.cs" />
    <Compile Include="Spreadsheet\GenericWorksheet.cs" />
    <Compile Include="Spreadsheet\GenericWorksheetSettings.cs" />
    <Compile Include="Spreadsheet\Generic\ICell.cs" />
    <Compile Include="Spreadsheet\Generic\IColumn.cs" />
    <Compile Include="Spreadsheet\Generic\IImage.cs" />
    <Compile Include="Spreadsheet\Generic\IRow.cs" />
    <Compile Include="Spreadsheet\Generic\IWorkbook.cs" />
    <Compile Include="Spreadsheet\Generic\IWorksheet.cs" />
    <Compile Include="Spreadsheet\Generic\IWorksheetSettings.cs" />
    <Compile Include="Spreadsheet\Generic\SpreadsheetFactory.cs" />
    <Compile Include="Spreadsheet\OpenXml\OpenXmlCell.cs" />
    <Compile Include="Spreadsheet\OpenXml\OpenXmlCellReference.cs" />
    <Compile Include="Spreadsheet\OpenXml\OpenXmlColumn.cs" />
    <Compile Include="Spreadsheet\OpenXml\OpenXmlImage.cs" />
    <Compile Include="Spreadsheet\OpenXml\OpenXmlRow.cs" />
    <Compile Include="Spreadsheet\OpenXml\OpenXmlSpreadsheetFactory.cs" />
    <Compile Include="Spreadsheet\OpenXml\OpenXmlWorkbook.cs" />
    <Compile Include="Spreadsheet\OpenXml\OpenXmlWorksheet.cs" />
    <Compile Include="Spreadsheet\OpenXml\OpenXmlWorksheetSettings.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>